GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Signals | Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
GpgFrontend::UI::KeySetExpireDateDialog Class Reference
Inheritance diagram for GpgFrontend::UI::KeySetExpireDateDialog:
Collaboration diagram for GpgFrontend::UI::KeySetExpireDateDialog:

## Signals
void | SignalKeyExpireDateUpdated ()

## Public Member Functions
| KeySetExpireDateDialog (const KeyId &key_id, QWidget *parent=nullptr)
| Construct a new Key Set Expire Date Dialog object. More...
| KeySetExpireDateDialog (const KeyId &key_id, std::string subkey_fpr, QWidget *parent=nullptr)
| Construct a new Key Set Expire Date Dialog object. More...
Public Member Functions inherited from GpgFrontend::UI::GeneralDialog
| GeneralDialog (std::string name, QWidget *parent=nullptr)

## Private Slots
void | slot_confirm ()
void | slot_non_expired_checked (int state)

## Private Member Functions
void | init ()

## Private Attributes
std::shared_ptr< Ui_ModifiedExpirationDateTime > | ui_
const GpgKey | m_key_
const SubkeyId | m_subkey_

## Additional Inherited Members
Protected Member Functions inherited from GpgFrontend::UI::GeneralDialog
void | setPosCenterOfScreen ()
void | movePosition2CenterOfParent ()

## Constructor & Destructor Documentation

## ◆ KeySetExpireDateDialog() [1/2]

GpgFrontend::UI::KeySetExpireDateDialog::KeySetExpireDateDialog | ( | const KeyId & | key_id,
|  | QWidget * | parent = `nullptr`
| ) |  |
| explicit

Construct a new Key Set Expire Date Dialog object.

Parameters

  key_id |
  parent |

## ◆ KeySetExpireDateDialog() [2/2]

GpgFrontend::UI::KeySetExpireDateDialog::KeySetExpireDateDialog | ( | const KeyId & | key_id,
|  | std::string | subkey_fpr,
|  | QWidget * | parent = `nullptr`
| ) |  |
| explicit

Construct a new Key Set Expire Date Dialog object.

Parameters

  key_id |
  subkey_fpr |
  parent |

## Member Function Documentation

## ◆ slot_non_expired_checked

void GpgFrontend::UI::KeySetExpireDateDialog::slot_non_expired_checked | ( | int | state | ) |
| private slot

Parameters

  state |

The documentation for this class was generated from the following files:

- src/ui/dialog/keypair_details/KeySetExpireDateDialog.h
- src/ui/dialog/keypair_details/KeySetExpireDateDialog.cpp